Bug 540038 - NetworkManager mis-detects RF kill switch (doesn't allow wireless connections)
NetworkManager mis-detects RF kill switch (doesn't allow wireless connections)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 20:17 EST by Mike
Modified: 2013-01-10 02:18 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 510662
Environment:
Last Closed: 2010-12-03 22:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (78.53 KB, text/plain)
2010-01-19 21:40 EST, Mike
no flags Details
this log is without the blacklisted dell-laptop module (108.45 KB, text/plain)
2010-01-21 15:35 EST, Mike
no flags Details

  None (edit)
Description Mike 2009-11-21 20:17:14 EST
+++ This bug was initially created as a clone of Bug #510662 +++

Description of problem:
NetworkManager doesn't allow wireless connections even though the hardware is detected by the Linux kernel. The hardware in question is "Intel Corporation Wireless WiFi Link 5100", inside a "Dell Vostro 1320" laptop. Wireless is enabled via a switch (i.e. no RF kill).


Version-Release number of selected component (if applicable):
0.7.1-1.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. Enable wireless via switch (i.e. no RF kill)
2. Boot Fedora 10
3. Login to Gnome desktop
4. Click (left mouse) on the NetworkManager icon in the top panel
  
Actual results:
Says that "wireless is disabled"

Expected results:
Allow wireless connections

Additional info:
Fresh Fedora 10 install (default options), with updates as of 10 July 2009.
Linux kernel 2.6.27.25-170.2.72.fc10.i686 #1 SMP 

See also the attached output of dmesg, lspci and ifconfig.

Interesting section in dmesg, even though the RF kill switch is off (ie. wireless enabled):
 iwlagn: Radio Frequency Kill Switch is On:
 Kill switch must be turned off for wireless networking to work.

--- Additional comment from conradsand@ieee.org on 2009-07-10 01:39:56 EDT ---

Created an attachment (id=351215)
output of dmesg, lspci and ifconfig

--- Additional comment from conradsand@ieee.org on 2009-07-10 02:21:04 EDT ---

/var/log/messages also shows up a few interesting tidbits:

Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
(wlan0): driver supports SSID scans (scan_capa 0x01).
(wlan0): new 802.11 WiFi device (driver: 'iwlagn')
(wlan0): exported as /org/freedesktop/Hal/devices/net_00_22_fb_54_7c_fe
<WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist#012.
<info>  Wireless now disabled by radio killswitch

--- Additional comment from conradsand@ieee.org on 2009-07-10 02:24:46 EDT ---

Created an attachment (id=351219)
messages from NetworkManager in /var/log/messages

created using: grep -i NetworkManager /var/log/messages

--- Additional comment from debfx-redhat@fobos.de on 2009-09-16 04:27:50 EDT ---

What's the output of "rfkill list" on your machine?


Bug report on the kernel butracker:
http://bugzilla.kernel.org/show_bug.cgi?id=14098

--- Additional comment from conradsand@ieee.org on 2009-09-16 04:44:11 EDT ---

The machine is my mum's laptop, on which I have since installed an old-ish Ubuntu (8.04). I have only intermittent access to the laptop.

If "rfkill list" from Ubuntu 8.04 would help solve the problem, I'll report the output. Otherwise the laptop isn't likely to have another OS (e.g. Fedora) installed on it in the near future.

I'd venture the problem with the wireless connection lies in the bug shown in Comment #2

--- Additional comment from dcbw@redhat.com on 2009-10-16 16:54:38 EDT ---

Ok, I'd need the laptop with fedora to debug further, but I believe this issue is either fixed upstream or in F11, or is a HAL problem deeper down with rfkill.  Thanks!

--- Additional comment from debfx-redhat@fobos.de on 2009-10-16 17:00:19 EDT ---

You might want to have a look at the changes in Ubuntu to fix this bug:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-karmic.git;a=commit;h=d83364096a6fe1c3696f3cb09e40912a016e9969
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-karmic.git;a=commit;h=c1e755f3d03c4ddc1d73e978b245921f4bce9668

I would like to provide more info on this bug since it still exists in F12.  Please tell me what info you need.
Comment 1 Mike 2009-11-21 20:18:44 EST
I would like to provide more info on this bug since it still exists in F12. 
Please tell me what info you need.

I am experiencing this bug on my Dell D830 running F12 64 bit.
Comment 2 Dan Williams 2010-01-04 18:14:36 EST
What's the output of:

cat /sys/class/rfkill/*/state

and also of:

cat /sys/class/rfkill/*/type

?
Comment 3 Mike 2010-01-13 06:36:11 EST
# cat /sys/class/rfkill/*/state
1

# cat /sys/class/rfkill/*/type
wlan
Comment 4 Dan Williams 2010-01-16 14:56:36 EST
Ok, can you also attach /var/log/messages to this bug report?  I'd like to see what killswitches NetworkManager finds and what state it detects them in.  It looks like the kernel thinks your killswitch is set to allow wireless, so we need to figure out why NM doesn't think so.
Comment 5 Mike 2010-01-19 21:40:51 EST
Created attachment 385575 [details]
/var/log/messages
Comment 6 Mike 2010-01-19 21:55:18 EST
FWIW, blacklisting dell-laptop seems to fix the issue.
<https://bugs.launchpad.net/ubuntu/+source/linux/+bug/430809/comments/79>
Comment 7 Dan Williams 2010-01-20 01:59:14 EST
Is that /var/log/messages *after* you blacklisted dell-laptop? THe line here:

Jan 19 21:31:47 tag3001-fedora NetworkManager: <info>  Wireless now enabled by radio killswitch

says that NM thinks your killswitch is set to allow wifi, which would contradict the original issue in this bug...
Comment 8 Mike 2010-01-21 15:34:24 EST
Comment on attachment 385575 [details]
/var/log/messages

this log is with the blacklisted dell-laptop module
Comment 9 Mike 2010-01-21 15:35:36 EST
Created attachment 386002 [details]
this log is without the blacklisted dell-laptop module
Comment 10 Dan Williams 2010-02-08 21:01:45 EST
Jan 21 06:12:38 tag3001-fedora NetworkManager: <info>  Found radio killswitch rfkill0 (at /sys/devices/pci0000:00/0000:00:1c.1/0000:0c:00.0/ieee80211/phy0/rfkill0) (driver <unknown>)
Jan 21 06:12:38 tag3001-fedora NetworkManager: <info>  Found radio killswitch rfkill1 (at /sys/devices/virtual/rfkill/rfkill1) (driver <unknown>)
Jan 21 06:12:38 tag3001-fedora NetworkManager: <info>  Wireless disabled by radio killswitch; enabled by state file

Over to kernel for why dell-laptop misdetects your machine and thinks it's rfkilled.
Comment 11 Matthew Garrett 2010-02-09 13:40:10 EST
Could you please install the smbios-utils package and attach the output of the 

dellWirelessCtl -i

comand, run as root?
Comment 12 Mike 2010-02-09 21:06:38 EST
# dellWirelessCtl --info (I assume this is what you meant)

Libsmbios version : 2.2.16
smbios-wireless-ctl version : 2.2.16
Wireless Info:
	Hardware switch supported
	Hardware switch is Off
	WiFi Locator supported
	Wireless Keyboard not supported
	NVRAM Size: 256 bytes
	NVRAM format version: 1

Radio Status for WLAN:
	WLAN enabled at boot
	WLAN supported
	WLAN enabled
	WLAN installed
	WLAN not controlled by wireless switch at boot
	WLAN runtime switch control currently disabled
	Status Code: 0

Radio Status for Bluetooth:
	Bluetooth enabled at boot
	Bluetooth supported
	Bluetooth disabled
	Bluetooth installed
	Bluetooth controlled by wireless switch at boot
	Bluetooth runtime switch control currently enabled
	Status Code: 1

Radio Status for WWAN:
	WWAN disabled at boot
	WWAN supported
	WWAN disabled
	WWAN not installed
	WWAN not controlled by wireless switch at boot
	WWAN runtime switch control currently disabled
	Status Code: 2

Wireless Switch Configuration
	WLAN switch control: off
	Bluetooth switch control: on
	WWAN switch control: off
	switch config: not locked
	WiFi locator: disabled
	WiFi Locator config: not locked
Comment 13 Matthew Garrett 2010-02-10 15:47:15 EST
Ok, I see the issue and have a patch for it. I'll test now.
Comment 14 Mike 2010-05-28 15:15:14 EDT
This also applies in F13.
Comment 15 C Sand 2010-05-28 22:51:17 EDT
(In reply to comment #14)
> This also applies in F13.    

I managed to get the original laptop for a little while (see comment #1).

This bug doesn't seem to occur in RHEL 6 beta 1.  Did RHEL get the fix while Fedora didn't ?
Comment 16 C Sand 2010-05-28 22:53:53 EDT
(In reply to comment #15)
> I managed to get the original laptop for a little while (see comment #1).

Apologies, the description of the laptop is in the first post (Description), rather than the first comment.
Comment 17 Bug Zapper 2010-11-04 01:47:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Mike 2010-11-10 06:25:07 EST
This seems to work fine in F14 32bit.
Comment 19 Bug Zapper 2010-12-03 22:00:48 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.